aboutsummaryrefslogtreecommitdiff
path: root/doall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'doall.sh')
-rwxr-xr-xdoall.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/doall.sh b/doall.sh
index ed1c61e..3ededc4 100755
--- a/doall.sh
+++ b/doall.sh
@@ -1,6 +1,7 @@
#!/bin/bash
-set -e
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
set -x
rm distfiles output *.log *.h5 -rf
@@ -60,5 +61,3 @@ find output -type f -empty -delete
echo no license: >> broken
grep "Project license" output/* -c |grep :0|sed 's/:0//' >> broken
grep "Project license" output/* -c |grep :0|sed 's/:0//'|xargs rm
-
-